package cn.reghao.tnb.content.app.geo.db.mapper;

import cn.reghao.jutil.jdk.web.db.BaseMapper;
import cn.reghao.tnb.content.app.geo.model.po.BusStation;
import cn.reghao.tnb.content.app.geo.model.vo.PublicBus;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;

/**
 * @author reghao
 * @date 2024-08-22 22:30:58
 */
@Mapper
public interface BusStationMapper extends BaseMapper<BusStation> {
    List<PublicBus> findByLineName(String lineName);
    List<BusStation> findByStationName(String stationName);
    List<String> findByGroupLineName();
}
